Library - Problem

Dieses Thema im Forum "Mac OS X - Unix & Terminal" wurde erstellt von supersmooth, 29.08.2006.

  1. supersmooth

    supersmooth Thread Starter MacUser Mitglied

    erhalte im terminal folgende fehlermeldung:

    ./Display can't open library: /usr/X11R6/lib/libGLU.1.dylib (No such file or directory, errno = 2)

    habe das prog Display ordnungsgemäß installiert (kam als paket und hat eigentlich das meiste selbst gemacht...)

    hier noch die meldung aus der installationsroutine:

    This installer contains binaries from the MINC toolkit developed at the Montreal Neurological Institute compiled for Apple's OS 10.3. To find out more about the toolkit as a whole, please visit

    The rest of this readme will address installation issues and problems you might encounter.

    Please remember that putting this package together was a volunteer effort, that there is currently not much expertise in porting our software to the MacIntosh platform, and that therefore there are likely to be bugs extant. But of course, all comments and suggestions are welcome!


    All software was compiled under 10.3 (Panther). It was never tested under an older version of OS 10 (if you try it, do let me know what the results were).

    Also, if you have anything installed under /usr/local/mni, it is probably a good idea to back it up first!

    There are also some reports that the install fails if the directory /usr/local/mni does not exist. Should your install fail, manually create that directory, which is most easily done by using the following command in a terminal:

    sudo mkdir -p /usr/local/mni

    and then restart this installer.

    You will need to set some environment settings for the installed software to work:

    setenv PATH /usr/local/mni/bin:$PATH
    setenv PERL5LIB /usr/local/mni/lib/Library/Perl/5.8.1
    setenv DYLD_LIBRARY_PATH /usr/local/mni/external-libs

    (In both the last cases check whether that environment variable exists first by typing printenv VARIABLE, where VARIABLE is, for example PERL5LIB. If it does change the call like so: setenv PERL5LIB usr/local/mni/lib/Library/Perl/5.8.1:$PERL5LIB)

    The visualization apps Display and register will need an X11 server running. Some people have reported a problem with register not displaying any volumes - as a temporary workaround, click on the main window while the volumes are loading.


    This binary distribution contains the following packages:
    NetCDF 3.5.0
    MINC 1.3 from CVS
    BICPL 1.4.0-1
    Register 1.3.4
    Display 1.3.8
    Conglomerate 1.3 from CVS with some still uncommitted patches
    mni_autoreg 0.98k
    mni_perllib 0.07
    Getopt-Tabular 0.3
    mni_autoreg_model 1.03
    ray_trace 1.0
    EBTKS from CVS with still uncommitted patches
    classify from CVS
    N3 1.0.6 with ugly compile time hacks
    mincmorph 1.1
    mincblob 1.1
    cortical_surface 1.0 from CVS
    ana2mnc from CVS

    jetzt meine frage:
    hat irgendjemand eine ahnung, wo ich diese datei 'libGLU.1.dylib' herbekomme? bevpr ich jetzt weiter irgendwelche libs rumkopiere wüsste ich gerne was ich da eigentlich mache.

    habe noch folgenden hinweis:

    OpenGL or Mesa
    - OpenGL may be included with your OS, or see
    - Mesa is a replacement for OpenGL, often included in linux distributions
    if not, see

    - a layer on top of OpenGL
    - available from

    die seite ist wohl zu alt. von libglu.1.dylib ist da nix zu sehen.

    vielleicht hat ja jemand von euch ein ähnliches prob mit einer x11 anwendung.

    lieben gruß
  2. palman

    palman MacUser Mitglied


    hast du das auch schon gemacht??

    You will need to set some environment settings for the installed software to work:

    setenv PATH /usr/local/mni/bin:$PATH
    setenv PERL5LIB /usr/local/mni/lib/Library/Perl/5.8.1
    setenv DYLD_LIBRARY_PATH /usr/local/mni/external-libs

    hast du nach der Datei auf dem System gesucht? wenn du sie findest, dann mach mal das hier bitte

    setenv DYLD_LIBRARY_PATH /Pfad/zur/Datei

    greetz palman
Die Seite wird geladen...